Metadata-Version: 2.4
Name: cf-pipeline-creator
Version: 0.1.0
Summary: Cogniflow pipeline draft, validation, and commit tooling
Requires-Python: >=3.11
Description-Content-Type: text/markdown
Requires-Dist: cf-ontology
Requires-Dist: cf-core-cli
Provides-Extra: test
Requires-Dist: pytest<9.0,>=8.0; extra == "test"

# cf-pipeline-creator

Programmatic and CLI tooling for Cogniflow pipeline drafts, validation, catalogue access, and commits.

Published distribution name:

```bash
pip install cf-pipeline-creator
```

Console script:

```bash
cf-pipeline-creator --help
```

## Publishing

`cf_pipeline_creator` is published with the dedicated Windows workflow:

- Workflow: `.github/workflows/cf_pipeline_creator_windows_publish.yml`
- Package directory: `sandcastle/cf_pipeline/cf_pipeline_creator`
- PyPI tag: `cf-pipeline-creator-v<version>`
- TestPyPI tag: `cf-pipeline-creator-v<version>-test`

Local preflight:

```powershell
powershell -ExecutionPolicy Bypass -File scripts/mimic_windows_python_publish_workflow.ps1 `
  -WorkflowFile .github/workflows/cf_pipeline_creator_windows_publish.yml `
  -PackageDir sandcastle/cf_pipeline/cf_pipeline_creator `
  -PythonExe py `
  -PythonVersion 3.14
```

Queue a dry-run dispatch:

```powershell
powershell -ExecutionPolicy Bypass -File scripts/queue_windows_python_publish_workflow.ps1 `
  -WorkflowFile .github/workflows/cf_pipeline_creator_windows_publish.yml `
  -PackageDir sandcastle/cf_pipeline/cf_pipeline_creator `
  -PublishTarget testpypi `
  -Ref main `
  -RequireLocalPass `
  -DryRun
```
